@import url('https://fonts.googleapis.com/css2?family=Nunito&display=swap');

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

html {
	font-family: 'Nunito', sans-serif;
	font-size: 22px;
	color: #fff;
}

body {
	min-height: 100vh;
	background-color: rgb(93, 23, 235);
}

.App {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	min-height: 100vh;
	padding: 1rem 0.5rem;
}

.FormHolder {
	width: 100%;
	max-width: 420px;
	min-height: 400px;
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	padding: 1rem;
	background: -webkit-linear-gradient(bottom,#00000066,#ff5050);
	border-radius: 15px;
}

form {
	display: flex;
	flex-direction: column;
	justify-content: space-evenly;
	flex-grow: 1;
	padding-bottom: 1rem;
}

a,
a:visited {
	color: #fff;
}

input[type='text'],
input[type='email'],
input[type='password'],
select {
	font-family: 'Nunito', sans-serif;
	font-size: 22px;
	padding: 0.25rem;
	border-radius: 0;
	background: none;
    border: 0;
    border-bottom: 1px solid #fff;
    border-radius: 0;
}


label {
	font-size: 16px;
}

label,
button {
	margin-top: 1rem;
}

button {
	font-family: 'Nunito', sans-serif;
	font-size: 22px;
	padding: 0.5rem;
	border-radius: 0.5rem;
	background: #cd1d44;
	color: #fff;
	cursor: pointer;
}

button[disabled] {
	padding: 0.5rem;
	opacity: .5;
	cursor: not-allowed;
}

.instructions {
	font-size: 0.75rem;
	border-radius: 0.5rem;
	background: #000;
	color: #fff;
	padding: 0.25rem;
	position: relative;
	bottom: -10px;
}

.instructions > svg {
	margin-right: 0.25rem;
}

.offscreen {
	position: absolute;
	left: -9999px;
}

.hide {
	display: none;
}

.valid {
	color: limegreen;
	margin-left: 0.25rem;
}

.invalid {
	color: red;
	margin-left: 0.25rem;
}

.errmsg {
	background-color: lightpink;
	color: firebrick;
	font-weight: bold;
	padding: 0.5rem;
	margin-bottom: 0.5rem;
}

.line {
	display: inline-block;
}
